<?php

include '../admin/config.php';
$conn = new mysqli($HostName, $HostUser, $HostPass, $DatabaseName);


////////////////////
// جلب سجل المستخدم
////////////////////

	    $email = $_POST["email"];
	    $pass = $_POST["pass"];
	
	$query = "SELECT log FROM USERS WHERE email='$email' ";
        $result = mysqli_query($conn,$query);
           if($row = mysqli_fetch_array($result)) {
		      $log = $row['log'] ;
             }else{
				 return ;
			 }
	
       $conn->close();

/////////////
// جلب الأسئلة
/////////////



$conn = new mysqli($HostName, $HostUser, $HostPass, $DatabaseName);	
$heroes = array(); 

$sql = "SELECT id, type, question, a_1, a_2, a_3, a_4, answer FROM QUESTION ORDER BY RAND() " ; // جلب الاسئلة عشوائيا
$result = $conn->query($sql);

$x = 1 ;
    while($row = $result->fetch_assoc()) {
         
		   $id = $row["id"] ;
           if ( strpos($log,   "id".$id."true " ) !== false OR strpos($log,  "id".$id."false ") !== false  ) {
                 // إذا كان  السؤال مر من قبل نفذ هذا الأمر
           }else{
	     	    $temp["id"] = $id ;
	            $temp["type"] = $row["type"] ;
                $temp["question"] = $row["question"] ;
                $temp["a_1"] = $row["a_1"] ;
                $temp["a_2"] = $row["a_2"] ;
                $temp["a_3"] = $row["a_3"] ;
                $temp["a_4"] = $row["a_4"] ;
                $temp["answer"] = $row["answer"] ;
		      array_push($heroes, $temp);  
             $x++ ;			  
		   }

      if ($x > 25 ) { // عدد الأسئلة التي ستعرض على التطبيق
        	echo json_encode($heroes);
			$conn->close();
	        return ;
          }
		   
    }
	
$conn->close();
  
if( sizeof($heroes) == 0 ) {
	// echo sizeof($heroes);// حجم قاعدة البيانات
	
}

echo json_encode($heroes);

?>
